<?xml version="1.0"?>
<!--
/**
 * @author Victor Andrushkiv vitya.3485@gmail.com
 */
-->
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd">
    <preference for="Store\Reviews\Api\Data\ReviewInterface" type="Store\Reviews\Model\Review" />
    <preference for="Store\Reviews\Api\ReviewsApiInterface" type="Store\Reviews\Model\ReviewsApi" />
    <type name="Magento\Framework\View\Element\UiComponent\DataProvider\CollectionFactory">
        <arguments>
            <argument name="collections" xsi:type="array">
                <item name="review_grid_index_listing_data_source" xsi:type="string">StoreReviewCollection</item>
            </argument>
        </arguments>
    </type>
    <virtualType name="StoreReviewCollection" type="Magento\Framework\View\Element\UiComponent\DataProvider\SearchResult">
        <arguments>
            <argument name="mainTable" xsi:type="string">store_review</argument>
            <argument name="resourceModel" xsi:type="string">Store\Reviews\Model\ResourceModel\Review</argument>
        </arguments>
    </virtualType>
    <virtualType name="ReviewGridListingDataProvider" type="Magento\Framework\View\Element\UiComponent\DataProvider\DataProvider" />
</config>
